### Method

# GLib Variant iter_new

since: 2.24

#### Declaration [src]

    GVariantIter*
    g_variant_iter_new (
      GVariant* value
    )

#### Description [src]

Creates a heap-allocated `GVariantIter` for iterating over the items in `value`.

Use `g_variant_iter_free()` to free the return value when you no longer need it.

A reference is taken to `value` and will be released only when `g_variant_iter_free()` is called.

Available since: 2.24

This method is not directly available to language bindings.

#### Return value

Type: `GVariantIter`

A new heap-allocated `GVariantIter`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.